package com.qmth.themis.business.cache.bean;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.enums.LivenessTypeEnum;
import com.qmth.themis.business.enums.VerifyExceptionEnum;

/**
 * 活体验证记录
 *
 * @Description:
 * @Author: xiatian
 * @Date: 2020-07-31
 */
public class LivenessVerifyCacheBean implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 281742662773373959L;

    //主键
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    //考试记录ID
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examRecordId;

    private LivenessTypeEnum type;

    //随机动作与结果
    private String actions;

    //重试次数
    private Integer retry;

    //验证异常
    private VerifyExceptionEnum exception;

    //开始时间
    private Long startTime;

    //完成时间
    private Long finishTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordId() {
        return examRecordId;
    }

    public void setExamRecordId(Long examRecordId) {
        this.examRecordId = examRecordId;
    }

    public LivenessTypeEnum getType() {
        return type;
    }

    public void setType(LivenessTypeEnum type) {
        this.type = type;
    }

    public String getActions() {
        return actions;
    }

    public void setActions(String actions) {
        this.actions = actions;
    }

    public Integer getRetry() {
        return retry;
    }

    public void setRetry(Integer retry) {
        this.retry = retry;
    }

    public VerifyExceptionEnum getException() {
        return exception;
    }

    public void setException(VerifyExceptionEnum exception) {
        this.exception = exception;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Long finishTime) {
        this.finishTime = finishTime;
    }
}
